#top-menu {
    padding: 2rem;
    padding-top: 1rem;
}

#top-menu[state="0"] {
    display: block;
}

#top-menu[state="1"] {
    position: fixed;
    top: 0;
    z-index: 5001;
    padding: 0;
}

#top-menu[state="1"]>* {
    display: none;
}

#top-menu[state="2"] {
    display: block;
    position: sticky;
    top: 2.5rem;
    margin: 0;
    z-index: 4999;
    background-color: var(--color-bg);
}

#top-menu>div {
    display: flex;
    flex-direction: row;
    gap: 2rem;
}

#connection-panel {
    height: 12rem;
}

#connection-panel>div {
    padding-bottom: 0.25rem;
}

#connection-panel>div>label {
    display: inline-block;
    width: 8rem;
}

#chat {
    width: 100%;
}

#chat-log {
    width: 100%;
    max-width: calc(100vw - 20rem);
    height: 12rem;
    background: #DDD;
    overflow-y: scroll;
}

#chat-log>* {
    text-wrap: wrap;
    overflow-wrap: break-word;
    border-top: 1px solid var(--color-main);
    overflow-x: clip;
}

#chat-input {
    width: calc(100% - 10rem);
}

#chat-send {
    width: 9rem;
}

#top-arrow {
    display: block;
    margin-left: 4rem;
    margin-top: 0.5rem;
}

#top-menu[state="1"]>#top-arrow {
    display: block;
}